Grow a disk
curl --request POST \
--url https://api.liara.ir/v1/projects/{project_id}/disks/{name}/resize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"size": 2
}'import requests
url = "https://api.liara.ir/v1/projects/{project_id}/disks/{name}/resize"
payload = { "size": 2 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({size: 2})
};
fetch('https://api.liara.ir/v1/projects/{project_id}/disks/{name}/resize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.liara.ir/v1/projects/{project_id}/disks/{name}/resize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'size' => 2
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.liara.ir/v1/projects/{project_id}/disks/{name}/resize"
payload := strings.NewReader("{\n \"size\": 2\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.liara.ir/v1/projects/{project_id}/disks/{name}/resize")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"size\": 2\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.liara.ir/v1/projects/{project_id}/disks/{name}/resize")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"size\": 2\n}"
response = http.request(request)
puts response.read_bodyDisks
Grow a disk
Makes a disk larger. Disks can’t be shrunk. If the disk is mounted, turn the app off first (see POST /v1/projects/{project_id}/actions/scale). Team permission: operate or manage.
POST
/
v1
/
projects
/
{project_id}
/
disks
/
{name}
/
resize
Grow a disk
curl --request POST \
--url https://api.liara.ir/v1/projects/{project_id}/disks/{name}/resize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"size": 2
}'import requests
url = "https://api.liara.ir/v1/projects/{project_id}/disks/{name}/resize"
payload = { "size": 2 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({size: 2})
};
fetch('https://api.liara.ir/v1/projects/{project_id}/disks/{name}/resize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.liara.ir/v1/projects/{project_id}/disks/{name}/resize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'size' => 2
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.liara.ir/v1/projects/{project_id}/disks/{name}/resize"
payload := strings.NewReader("{\n \"size\": 2\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.liara.ir/v1/projects/{project_id}/disks/{name}/resize")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"size\": 2\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.liara.ir/v1/projects/{project_id}/disks/{name}/resize")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"size\": 2\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Send your API token as Authorization: Bearer <api-token>.
Query Parameters
Run the request in the context of a team you belong to, instead of your personal account. 24-character hexadecimal ID.
Pattern:
^[0-9a-fA-F]{24}$Body
application/json
Size in GB, with at most one decimal place.
Required range:
x >= 0.1Response
The disk is being resized. The response body is empty.
⌘I
